---
title: IP Allowlist
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > IP Allowlist
---

# IP Allowlist

The IP allowlist API is used to manage the IP addresses that can access the Datadog API and web UI. It does not block access to intake APIs or public dashboards.

This is an enterprise-only feature. Request access by contacting Datadog support, or see the [IP Allowlist page](https://docs.datadoghq.com/account_management/org_settings/ip_allowlist.md) for more information.

## Get IP Allowlist →{% #get-ip-allowlist %}

| Datadog site      | API endpoint                                          |
| ----------------- | ----------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/ip_allowlist |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/ip_allowlist |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/ip_allowlist      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/ip_allowlist      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/ip_allowlist  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/ip_allowlist     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/ip_allowlist |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/ip_allowlist |

## Update IP Allowlist →{% #update-ip-allowlist %}

| Datadog site      | API endpoint                                            |
| ----------------- | ------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/ip_allowlist |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/ip_allowlist |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/ip_allowlist      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/ip_allowlist      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/ip_allowlist  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/ip_allowlist     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/ip_allowlist |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/ip_allowlist |
